Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3381

  

Description

config/application.rb uses the global SETTINGS variable to store a list of compute resource bundler groups that are loaded, which is

used later in ComputeResource to list available providers.  The initialiser tries to load Bundler groups, then stores a per-provider

"setting" based on whether the Fog provider is registered.

The listing of available providers in ComputeResource can be refactored to check the Fog::Compute.providers registration and

remove this data from the settings hash.

(As discussed in https://github.com/theforeman/foreman/pull/3377#discussion-diff-57880045)

Associated revisions

Revision bd95cda6 - 04/05/2016 07:38 AM - Dominic Cleal

fixes #14415 - check CR availability with Fog, not SETTINGS

Simplifies the code for checking compute resource availability, which

can easily be determined with the registered Fog providers instead of

being stored in SETTINGS in app initialisation. Plugins should always be

loaded, so should not need to override this class method.

History

#1 - 03/31/2016 07:14 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3381 added

#2 - 04/05/2016 08:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bd95cda67da9e9b50d9a7bcaffce37e042f535c4.

#3 - 04/05/2016 10:51 AM - Dominic Cleal

- translation missing: en.field_release set to 136
